package fr.nitorac.aurionweb.aurionweb;

import android.content.Context;
import android.os.AsyncTask;

import com.afollestad.materialdialogs.LayoutMode;
import com.afollestad.materialdialogs.MaterialDialog;
import com.afollestad.materialdialogs.bottomsheets.BottomSheet;
import com.afollestad.materialdialogs.customview.DialogCustomViewExtKt;

import fr.nitorac.aurionweb.R;

public class CheckConnectionTask extends AsyncTask<String, Void, Boolean> {

    private MaterialDialog loading;
    private ConnectionCheck callback;

    public CheckConnectionTask(Context c, ConnectionCheck callback){
        this.callback = callback;
        loading = new MaterialDialog(c, new BottomSheet(LayoutMode.WRAP_CONTENT))
            .cancelable(false)
            .cancelOnTouchOutside(false)
            .title(R.string.loading, null)
            .noAutoDismiss();
        DialogCustomViewExtKt.customView(loading, R.layout.dialog_loading, null, false, false, true, true);
        loading.dismiss();
    }

    @Override
    protected void onPreExecute() {
        super.onPreExecute();
        loading.show();
    }

    @Override
    protected void onPostExecute(Boolean res) {
        super.onPostExecute(res);
        loading.dismiss();
        callback.onResult(res);
    }

    @Override
    protected Boolean doInBackground(String... creds) {
        return AurionManager.getInstance().checkPassword(creds[0], creds[1]);
    }

    public interface ConnectionCheck {
        void onResult(Boolean res);
    }
}
